org.apache.xmpbox.type

## Class ResourceEventType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.ResourceEventType

    public class ResourceEventType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `ACTION`
`static String` `CHANGED`
`static String` `INSTANCE_ID`
`static String` `PARAMETERS`
`static String` `SOFTWARE_AGENT`
`static String` `WHEN`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ResourceEventType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAction()`
`String` `getChanged()`
`String` `getInstanceID()`
`String` `getParameters()`
`String` `getSoftwareAgent()`
`Calendar` `getWhen()`
`void` `setAction(String value)`
`void` `setChanged(String value)`
`void` `setInstanceID(String value)`
`void` `setParameters(String value)`
`void` `setSoftwareAgent(String value)`
`void` `setWhen(Calendar value)`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACTION

    public static final String ACTION

See Also:
  Constant Field Values

#### CHANGED

    public static final String CHANGED

See Also:
  Constant Field Values

#### INSTANCE_ID

    public static final String INSTANCE_ID

See Also:
  Constant Field Values

#### PARAMETERS

    public static final String PARAMETERS

See Also:
  Constant Field Values

#### SOFTWARE_AGENT

    public static final String SOFTWARE_AGENT

See Also:
  Constant Field Values

#### WHEN

    public static final String WHEN

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceEventType

    public ResourceEventType(XMPMetadata metadata)

Parameters:
  `metadata` - The metadata to attach to this property

### Method Detail

#### getInstanceID

    public String getInstanceID()

#### setInstanceID

    public void setInstanceID(String value)

#### getSoftwareAgent

    public String getSoftwareAgent()

#### setSoftwareAgent

    public void setSoftwareAgent(String value)

#### getWhen

    public Calendar getWhen()

#### setWhen

    public void setWhen(Calendar value)

#### getAction

    public String getAction()

#### setAction

    public void setAction(String value)

#### getChanged

    public String getChanged()

#### setChanged

    public void setChanged(String value)

#### getParameters

    public String getParameters()

#### setParameters

    public void setParameters(String value)